Step 3 - Deprecated API Usage

You can face the issue of AppStore refusing to publish your app due to the usage of outdated libraries.

If you happened to receive the message reporting about the following issue:

ITMS-90809: Deprecated API Usage – New apps that use UIWebView are no longer accepted. Instead, use WKWebView for improved security and reliability. Learn more (https://developer.apple.com/documentation/uikit/uiwebview).

follow the next steps to solve the problem.

You will need to install WebKit.framework in XCode settings. Open the folder "motors-app/ios" in XCode. Next, click the folder icon and select the motorsReactApp project.

In the new window select the tab General and expand the first section Frameworks, Libraries, and Embedded Content. Click the Plus icon and find WebKit.framework. Proceed with its installation, and when finished rebuild your application and upload it to AppStore.